package com.sf._07_综合练习.service;

import com.sf._07_综合练习.domain.Amount;
import com.sf._07_综合练习.util.MyArrayUtils;
import com.sf._07_综合练习.util.StringUtils;

public class LoginServiceImpl implements ILoginService {

    @Override
    public void login(Amount amount) {
        // 1 判断账号和密码是否为空
        if(StringUtils.isEmpty(amount.getUsername()) ||
                StringUtils.isEmpty(amount.getPassword())){
            System.out.println("账号或者密码不能为空");
            return;
        }
        // 获取Amount 中静态数组
        Amount[] amounts = Amount.amounts;
        // 打印数组当中内容
        MyArrayUtils.printArray(amounts);
        // 遍历数组内容和传入账号和密码去比较
        String username = amount.getUsername();    // 控制台录入账号
        String password = amount.getPassword();    // 控制台录入密码
        // 模拟数据库当中账号和密码
        // 遍历的提前创建3个账号   zhangsan  123   lisi 123   wangwu 123
        boolean flag = false;
        for (Amount amount1 : amounts) {
            if(username.equals(amount1.getUsername())&&
                    password.equals(amount1.getPassword())){
                flag = true;
                break;
            }
        }
        if(flag){
            System.out.println("登录成功");
        }else{
            System.out.println("登录失败");
        }
    }
}
